/* fax.cpp

demonstration routines for the fax capabilities of the SimpleCapi interface.

Part of the caiviar package. 

Copyright (c) 2002 Matthias Kramm <kramm@quiss.org>

This file is distributed under the GPL, see file COPYING for details. */

#include <stdlib.h>
#include <stdio.h>
#include <unistd.h>
#include <string.h>
#include <malloc.h>
#include <SimpleCapi.h>

/*
   Notice:
   All data to be faxed must either be ASCII or SFF.

   You can convert to SFF from pnm (pnm2sff) and 
   postscript.  (ghostscript -sDEVICE=cfax)

*/

class CapiTest {
public:
    void testfax() {
	Logger * log = new Logger(5);
        SimpleCapi capi(log);
        printf("--------------------\n");
        fflush(stdout);
        int line=capi.open("33");
        if (line<0) {
            printf("no free line\n");
            return;
        }
        int ret;
        ret = capi.fax (line, "1234567", "faxfile.sff");
	if(!ret)
	    printf("Fax failed\n");
    }
};

int main(int argn, char*argv[]) {
    CapiTest t;
    t.testfax();
    return 0;
}

